import { IMockAuthMgmt, ClientSdk } from '@forest-fire/types';
/**
 * Updates a user's profile data.
 *
 * Example:
 *
 * ```typescript
 * user.updateProfile({
      displayName: "Jane Q. User",
      photoURL: "https://example.com/jane-q-user/profile.jpg"
  })
 * ```

 [Documentation](https://firebase.google.com/docs/reference/js/firebase.User#updateprofile)
 */
export declare const updateProfile: (api: IMockAuthMgmt<ClientSdk>) => (profile: {
    displayName?: string;
    photoUrl?: string;
}) => Promise<void>;
