import { IClientAuthProviders, ClientSdk, AdminSdk, IMockAuthMgmt, ISdk } from '@forest-fire/types';
export declare type SdkFromProviders<T extends IClientAuthProviders | undefined> = T extends IClientAuthProviders ? ClientSdk : AdminSdk;
/**
 * Creates an Auth Admin Manager API which can be used for advanced
 * test use cases. This API will be appropriately adjusted based on
 * whether this is an Admin or Client SDK.
 */
export declare function createAuthManager<TSdk extends ISdk>(sdk: TSdk): IMockAuthMgmt<TSdk>;
