import { IMockUser, IMockUserRecord, UpdateRequest, User, UserCredential, UserRecord } from '@forest-fire/types';
export declare function isUserCredential(u: string | UserCredential | User | UserRecord | IMockUser): u is UserCredential;
/**
 * Boolean flag and type guard that checks whether this is Firemock `IMock` user
 * definition.
 */
export declare function isMockUserRecord(u: string | UserCredential | User | UserRecord | IMockUser | UpdateRequest): u is IMockUserRecord;
/**
 * Boolean flag and type guard that checks whether this is Admin SDK's `UserRecord`.
 *
 * Note: the `IMockUser` is a superset of this.
 */
export declare function isUserRecord(u: UserCredential | User | UserRecord | IMockUser): u is UserRecord;
/**
 * Boolean flat to detect if user-like object is a `User` from the client SDK
 */
export declare function isUser(user: UserCredential | User | UserRecord | IMockUser): user is User;
