import { IMockDatabase, IMockDelayedState, IMockConfigOptions, ISdk } from '@forest-fire/types';
import { IDictionary } from 'common-types';
/**
 * A factory object which returns an implementation to handle either RTDB or
 * Firestore database as well as distinguishing between the minor variance between
 * admin and client SDK's
 */
export declare function createDatabase<TSdk extends ISdk>(sdk: TSdk, 
/**
 * DB and Auth configuration for mock firebase
 */
config?: IMockConfigOptions, 
/**
 * The initial state of the database
 */
initialState?: IDictionary | IMockDelayedState<IDictionary>): IMockDatabase<TSdk>;
