import { IDatabaseConfig, SDK, IMockStore, IAdminFirestoreDatabase, IClientApp, IRtdbReference } from '@forest-fire/types';
/**
 * A class representing the Firestore Client SDK's API surface which interacts with the mock
 * database rather than a real DB.
 */
export declare class FirestoreClientMock implements IAdminFirestoreDatabase {
    private _dbConfig;
    private _sdk;
    private _store;
    constructor(sdk: SDK, config: IDatabaseConfig, store: IMockStore<SDK.FirestoreClient>);
    settings(): void;
    collection(_collectionPath: string): FirebaseFirestore.CollectionReference<FirebaseFirestore.DocumentData>;
    doc(_documentPath: string): FirebaseFirestore.DocumentReference<FirebaseFirestore.DocumentData>;
    collectionGroup(_collectionId: string): FirebaseFirestore.CollectionGroup<FirebaseFirestore.DocumentData>;
    getAll(...documentRefsOrReadOptions: (FirebaseFirestore.DocumentReference<FirebaseFirestore.DocumentData> | FirebaseFirestore.ReadOptions)[]): Promise<FirebaseFirestore.DocumentSnapshot<FirebaseFirestore.DocumentData>[]>;
    recursiveDelete(ref: FirebaseFirestore.CollectionReference<unknown> | FirebaseFirestore.DocumentReference<unknown>, bulkWriter?: FirebaseFirestore.BulkWriter): Promise<void>;
    terminate(): Promise<void>;
    listCollections(): Promise<FirebaseFirestore.CollectionReference<FirebaseFirestore.DocumentData>[]>;
    runTransaction<T>(updateFunction: (transaction: FirebaseFirestore.Transaction) => Promise<T>, transactionOptions?: FirebaseFirestore.ReadWriteTransactionOptions | FirebaseFirestore.ReadOnlyTransactionOptions): Promise<T>;
    batch(): FirebaseFirestore.WriteBatch;
    bulkWriter(options?: FirebaseFirestore.BulkWriterOptions): FirebaseFirestore.BulkWriter;
    bundle(bundleId?: string): FirebaseFirestore.BundleBuilder;
    app: IClientApp;
    goOffline(): void;
    goOnline(): void;
    refFromURL(path: string): IRtdbReference;
}
