import { IDictionary } from 'common-types';
import type { IRtdbDataSnapshot } from '@forest-fire/types';
export declare function normalizeRef(r: string): string;
export declare function parts(r: string): string[];
/**
 * return the last component of the path
 * which typically would represent the 'id'
 * of a list-node
 */
export declare function leafNode(r: string): string;
export declare function firstProp<T = IDictionary>(listOf: IDictionary): T;
export declare function lastProp<T = IDictionary>(listOf: IDictionary): T;
export declare function objectIndex(obj: IDictionary, index: number): unknown;
export declare function removeKeys(obj: IDictionary, remove: string[]): IDictionary;
/**
 * Joins a set of paths together and converts into
 * correctly formatted "dot notation" directory path
 */
export declare function join(...paths: string[]): string;
export declare function pathDiff(longPath: string, pathSubset: string): string;
export declare function orderedSnapToJS<T = any>(snap: IRtdbDataSnapshot): IDictionary<T>;
/**
 * Given a path, returns the parent path and child key
 */
export declare function keyAndParent(dotPath: string): {
    parent: string;
    key: string;
};
export declare function slashNotation(path: string): string;
/** Get the parent DB path */
export declare function getParent(dotPath: string): string;
/** Get the Key from the end of a path string */
export declare function getKey(dotPath: string): string;
export declare function stripLeadingDot(str: string): string;
export declare function removeDots(str?: string): string;
